> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Compensation Components



## OpenAPI

````yaml GET /api/v1/compensation-components
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/compensation-components:
    get:
      tags:
        - payroll-controller
      operationId: getCompensationComponents
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompensationComponent'
components:
  schemas:
    CompensationComponent:
      type: object
      description: >-
        Compensation component that is part of the salary (Formerly
        Salary_Definition)
      properties:
        id:
          type: string
          description: Unique identifier of the compensation component (Formerly name)
        label:
          type: string
          description: Human readable name of the compensation component

````